/*
*   \file
*   \remarks Low level hashed data store APIs (DRM Core) Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Low level hashed data store APIs (DRM Core)
*
*   Copyright (C) 2008 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef HDS_TST_API_H
#define HDS_TST_API_H

DRM_RESULT HDS_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT HDS_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT TestDeleteFile(long argc, char **argv);
DRM_RESULT TestHdsBlockScanDelete(long argc, char **argv);
DRM_RESULT TestHdsSlotWrite(long argc, char **argv);
DRM_RESULT TestHdsSlotRead(long argc, char **argv);
DRM_RESULT TestHdsSlotSeek(long argc, char **argv);
DRM_RESULT TestHdsSlotResize(long argc, char **argv);
DRM_RESULT TestHdsSlotEnumNext(long argc, char **argv);
DRM_RESULT TestHdsInitSlotEnum(long argc, char **argv);
DRM_RESULT TestHdsDeleteSlot(long argc, char **argv);
DRM_RESULT TestHdsCloseSlot(long argc, char **argv);
DRM_RESULT TestHdsOpenSlot(long argc, char **argv);
DRM_RESULT TestHdsCloseNamespace(long argc, char **argv);
DRM_RESULT TestHdsOpenNamespace(long argc, char **argv);
DRM_RESULT TestHdsDeleteNamespace(long argc, char **argv);
DRM_RESULT TestHdsCommitStore(long argc, char **argv);
DRM_RESULT TestHdsCloseStore(long argc, char **argv);
DRM_RESULT TestHdsOpenStore(long argc, char **argv);
DRM_RESULT TestHdsCreateStore(long argc, char **argv);
DRM_RESULT TestHdsReinitialize(long iIndex, char **argv);

#endif

